from django import forms
from django.utils.translation import gettext_lazy as _

class TokenForm(forms.Form):
    description = forms.CharField(label=_('Description'), max_length=100)
    expires = forms.DateTimeField(label=_("Expires"), required=False)

class CollectionForm(forms.Form):
    title = forms.CharField(label=_('Collection title'), max_length=100)
    description = forms.CharField(label=_('Collection description'),
                                  widget=forms.Textarea)
    slug = forms.SlugField(label=_('Collection url slug'))

class CollectionPermForm(forms.BaseForm):
    
    def __init__(self, *args, options=None, **kwds):
        self.base_fields = {}
        for name, label, value in options:
            self.base_fields[name] = forms.BooleanField(label=label,
                                                        initial=value,
                                                        required=False)
        self.declared_fields = self.base_fields

        super().__init__(*args, **kwds)
